| helics 3.6.1

Public Member Functions | Friends | List of all members
helics::CloningFilter Class Reference

`#include <Filters.hpp>`

Inheritance diagram for helics::CloningFilter:

## Public Member Functions
| CloningFilter ()=default
| CloningFilter (Core *core, std::string_view filtName=EMPTY_STRING)
| CloningFilter (Federate *ffed, std::string_view filtName=EMPTY_STRING)
| CloningFilter (InterfaceVisibility locality, Federate *ffed, std::string_view filtName=EMPTY_STRING)
| CloningFilter (Federate *ffed, std::string_view filtName, InterfaceHandle handle)
| CloningFilter (CloningFilter &&filt)=default
| CloningFilter (const CloningFilter &filt)=default
CloningFilter & | operator= (CloningFilter &&filt)=default
CloningFilter & | operator= (const CloningFilter &filt)=default
| ~CloningFilter ()=default
void | addDeliveryEndpoint (std::string_view endpoint)
void | removeDeliveryEndpoint (std::string_view endpoint)
virtual void | setString (std::string_view property, std::string_view val) override
Public Member Functions inherited from helics::Filter
| Filter ()=default
| Filter (Federate *ffed, std::string_view filtName=EMPTY_STRING)
| Filter (Federate *ffed, std::string_view filtName, InterfaceHandle ihandle)
| Filter (Core *core, std::string_view filtName, InterfaceHandle ihandle)
| Filter (InterfaceVisibility locality, Federate *ffed, std::string_view filtName=EMPTY_STRING)
| Filter (Core *core, std::string_view filtName=EMPTY_STRING)
virtual | ~Filter ()=default
| Filter (Filter &&filt)=default
| Filter (const Filter &filt)=default
Filter & | operator= (Filter &&filt)=default
Filter & | operator= (const Filter &filt)=default
bool | isCloningFilter () const
void | setOperator (std::shared_ptr< FilterOperator > filterOp)
virtual const std::string & | getDisplayName () const override
virtual void | set (std::string_view property, double val)
virtual std::string | getString (std::string_view property)
virtual double | getProperty (std::string_view property)
void | addTarget (std::string_view target)
void | setFilterType (std::int32_t type)
Public Member Functions inherited from helics::Interface
| Interface (Federate *federate, InterfaceHandle hid, std::string_view actName)
| Interface (Core *core, InterfaceHandle hid, std::string_view actName)
InterfaceHandle | getHandle () const
| operator InterfaceHandle () const
bool | isValid () const
bool | operator< (const Interface &inp) const
bool | operator> (const Interface &inp) const
bool | operator== (const Interface &inp) const
bool | operator!= (const Interface &inp) const
const std::string & | getLocalName () const
const std::string & | getName () const
const std::string & | getTarget () const
void | addSourceTarget (std::string_view newTarget, InterfaceType hint=InterfaceType::UNKNOWN)
void | addDestinationTarget (std::string_view newTarget, InterfaceType hint=InterfaceType::UNKNOWN)
void | removeTarget (std::string_view targetToRemove)
void | addAlias (std::string_view alias)
const std::string & | getInfo () const
void | setInfo (std::string_view info)
void | setTag (std::string_view tag, std::string_view value)
const std::string & | getTag (std::string_view tag) const
virtual void | setOption (int32_t option, int32_t value=1)
virtual int32_t | getOption (int32_t option) const
const std::string & | getInjectionType () const
const std::string & | getExtractionType () const
const std::string & | getInjectionUnits () const
const std::string & | getExtractionUnits () const
const std::string & | getSourceTargets () const
const std::string & | getDestinationTargets () const
std::size_t | getSourceTargetCount () const
std::size_t | getDestinationTargetCount () const
void | close ()
void | disconnectFromCore ()

## Friends
class | FilterFederateManager

## Additional Inherited Members
Protected Member Functions inherited from helics::Filter
void | setFilterOperations (std::shared_ptr< FilterOperations > filterOps)
Protected Attributes inherited from helics::Filter
bool | cloning = false
bool | disableAssign = false
| disable assignment for the object
Protected Attributes inherited from helics::Interface
Core * | mCore {nullptr}
| pointer to the core object
InterfaceHandle | handle {}
| the id as generated by the Federate
std::string | mName
| the name or key of the interface

## Detailed Description

class used to clone message for delivery to other endpoints

## Constructor & Destructor Documentation

## ◆ CloningFilter() [1/7]

helics::CloningFilter::CloningFilter | ( |  | ) |
| default

default constructor

## ◆ CloningFilter() [2/7]

helics::CloningFilter::CloningFilter | ( | Core * | core,
|  | std::string_view | filtName = `EMPTY_STRING`
| ) |  |
| explicit

construct from a core object

References helics::Interface::handle, helics::Interface::mCore, helics::Core::registerCloningFilter(), and helics::Filter::setFilterOperations().

## ◆ CloningFilter() [3/7]

helics::CloningFilter::CloningFilter | ( | Federate * | ffed,
|  | std::string_view | filtName = `EMPTY_STRING`
| ) |  |
| explicit

construct from a Federate

References helics::Interface::handle, helics::Federate::registerCloningFilter(), and helics::Filter::setFilterOperations().

## ◆ CloningFilter() [4/7]

helics::CloningFilter::CloningFilter | ( | InterfaceVisibility | locality,
|  | Federate * | ffed,
|  | std::string_view | filtName = `EMPTY_STRING`
| ) |  |

construct from a Federate

## ◆ CloningFilter() [5/7]

helics::CloningFilter::CloningFilter | ( | Federate * | ffed,
|  | std::string_view | filtName,
|  | InterfaceHandle | handle
| ) |  |

constructor used by FilterFederateManager

## ◆ CloningFilter() [6/7]

helics::CloningFilter::CloningFilter | ( | CloningFilter && | filt | ) |
| default

move the filter to a new cloning filter

## ◆ CloningFilter() [7/7]

helics::CloningFilter::CloningFilter | ( | const CloningFilter & | filt | ) |
| default

copy the filter, a copied filter will point to the same object

## ◆ ~CloningFilter()

helics::CloningFilter::~CloningFilter | ( |  | ) |
| default

destructor

## Member Function Documentation

## ◆ addDeliveryEndpoint()

void helics::CloningFilter::addDeliveryEndpoint | ( | std::string_view | endpoint | ) |

add a delivery address this is the name of an endpoint to deliver the message to

References helics::Filter::setString().

## ◆ operator=() [1/2]

CloningFilter& helics::CloningFilter::operator= | ( | CloningFilter && | filt | ) |
| default

move assign the cloning filter

## ◆ operator=() [2/2]

CloningFilter& helics::CloningFilter::operator= | ( | const CloningFilter & | filt | ) |
| default

copy the filter, a copied filter will point to the same object as the original

## ◆ removeDeliveryEndpoint()

void helics::CloningFilter::removeDeliveryEndpoint | ( | std::string_view | endpoint | ) |

remove a delivery address this is the name of an endpoint to deliver the message to

References helics::Filter::setString().

## ◆ setString()

void helics::CloningFilter::setString | ( | std::string_view | property,
|  | std::string_view | val
| ) |  |
| override virtual

set a string property on a filter

Parameters

  property | the name of the property of the filter to change
  val | the numerical value of the property

Reimplemented from helics::Filter.

References helics::Interface::addDestinationTarget(), helics::Interface::addSourceTarget(), helics::Interface::removeTarget(), and helics::Filter::setString().

The documentation for this class was generated from the following files:

- Filters.hpp
- Filters.cpp